import { Socket } from "socket.io-client";
export default class SocketIoEventListener {
    readonly socket: Socket;
    constructor(props: {
        url: string;
    });
}
export declare function getSocketInstance(url: string): SocketIoEventListener;
